Bug 498108 - cannot start some jnlp aplications
cannot start some jnlp aplications
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-28 17:06 EDT by Suhan Andrei
Modified: 2009-12-18 04:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:22:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suhan Andrei 2009-04-28 17:06:57 EDT
Description of problem:
some jnlp applications cannot start.

Not sure where this problem belong to. please help with classification. 

Version-Release number of selected component (if applicable):
Not sure . ( latest updates wit yum as of reporting ) 

How reproducible: Always.


Steps to Reproduce:
1. from a command line open firefox and point it to http://jnlp.sourceforge.net/netx/start.html
2. Try to oepn the link with jnlp (http://jnlp.sourceforge.net/netx/start/start.jnlp)
3. see the dowload progress

  

Actual results:
exception ocurs and is logged into console:
net.sourceforge.jnlp.LaunchException: Fatal: Launch Error: Could not launch JNLP file.
        at net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:372)
        at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:600)
Caused by: java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:616)
        at net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:364)
        ... 1 more
Caused by: java.lang.SecurityException: Changing the SecurityManager is not allowed.
        at net.sourceforge.jnlp.runtime.JNLPSecurityManager.checkPermission(JNLPSecurityManager.java:261)
        at java.security.Policy.setPolicy(Policy.java:256)
        at netx.jnlp.runtime.JNLPRuntime.initialize(Unknown Source)
        at netx.start.Start.main(Start.java:389)
        ... 6 more
Caused by:
java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:616)
        at net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:364)
        at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:600)
Caused by: java.lang.SecurityException: Changing the SecurityManager is not allowed.
        at net.sourceforge.jnlp.runtime.JNLPSecurityManager.checkPermission(JNLPSecurityManager.java:261)
        at java.security.Policy.setPolicy(Policy.java:256)
        at netx.jnlp.runtime.JNLPRuntime.initialize(Unknown Source)
        at netx.start.Start.main(Start.java:389)


Expected results:
same results as runing from console:
$./jdk/jdk1.6.0_12/bin/javaws http://jnlp.sourceforge.net/netx/start/start.jnlp

Note : this is the sun downloaded jdk for linux.


Additional info:
The link works ok using the javaws from SUN jdk for linux.
Comment 1 Lillian Angel 2009-04-29 09:37:43 EDT
Same issue comes up for a bug I am already looking into.

thanks!

*** This bug has been marked as a duplicate of bug 484387 ***
Comment 2 Deepak Bhole 2009-04-30 18:05:37 EDT
This is very odd. That jnlp file will not load with the netx code on that very site. From the JNLPSecurityManager.java file in the netx 0.5 zip... 

        if ("setPolicy".equals(name) ||

            "setSecurityManager".equals(name))

            throw new SecurityException(R("RCantReplaceSM"));

i.e. That jnlp will fail to load with the same exception. 

That said, I don't think that removing that restriction for a trusted webstart application is a bad idea, as each runs in its own vm instance. 

I am going to re-open this issue. It is related to webstart (javaws), while 484387 is related to the plugin. The two may share the same code base, but the restrictions for the plugin don't always apply to webstart.
Comment 3 Lillian Angel 2009-05-06 14:10:03 EDT
Fix committed upstream, will be in the next release.
Comment 4 Bug Zapper 2009-11-18 06:52:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 04:22:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.